<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <meta name="theme-color" content="#000000" />
  <meta name="Description" content="Hello TypeScript">
  <link rel="icon" href="./favicon.png" type="image/png">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
    crossorigin="anonymous"></script>
  <link rel="stylesheet" href="styles.css">
  <title>Web Help Request</title>
</head>

<body>

  <header>
    <h1 id="content" class="bg-warning text-center p-3 m-2"></h1>
  </header>

  <main>
    <h1 class="bg-info text-center h2 p-3 m-2">Ici c'est comme à la poissonerie , il faut faire la queue !</h1>
    <div id="oui" class="d-flex flex-wrap justify-content-around py-5">
      <p class="wid-200p mt-auto mb-auto text-center">Ton nom: </p>
      <select id="postUser" class="form-select text-center wid-200p m-0 mt-auto mb-auto"
        aria-label="Default select example">
      </select>
      <p class="wid-200p mt-auto mb-auto text-center">La description du ticket: </p>
      <textarea type="text" id="ticketSubject" class="wid-200p"></textarea>
      <button id="sendTicket" class="p-2 m-2 rounded-pill wid-200p">Je veux de l'aide *signe de la main*</button>
    </div>

    <div class="d-flex flex-wrap text-center justify-content-around bg-success py-5">
      <div class="d-flex flex-wrap wid-200p text-center">
        <p class="wid-200p text-center my-3">username: </p>
        <div class="wid-200p text-center">
          <input id="userNameInput" class="wid-200p text-center rounded-pill"type="text">
        </div>
      </div>
      <div class="d-flex flex-wrap wid-200p text-center">
        <p class="wid-200p text-center my-3">password: </p>
        <input id="userPasswordInput" class="wid-200p text-center rounded-pill" type="password">
      </div>
      <div class="wid-200p text-center m-0 mt-auto mb-auto"><button id="userAdd"
          class="p-2 rounded-pill wid-200p text-center mt-2">Add User</button></div>
    </div>

    <div class="ms-3">
      <h3>Ticket en cours: </h3>
    </div>
    <div id="currentT" class="ms-3"></div>

    <div class="d-flex flex-wrap justify-content-around">
      <button id="nextT" class="p-2 m-2 rounded-pill">Ticket suivant</button>
      <button id="refresh" class="p-2 m-2 rounded-pill">Rafraichir</button>
    </div>

    <h3 class="ms-3">Liste des tickets en cours</h3>
    <div id="ticketList" class="d-flex flex-wrap"></div>
  </main>

  <footer class="text-center">
    <div>
      <p class="text-center h3 py-3 bg-warning m-0">Copyright © 2022 Mohamed & Loup Simplon</p>
    </div>
  </footer>

</body>

</html>